API_V2


Click here for a complete list of operations.

DeleteWorkspaceTask

Test

The test form is only available for requests from the local machine.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /API/API_V2.asmx HTTP/1.1
Host: api.conceptshare.com
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "ConceptShare.API/DeleteWorkspaceTask"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Header>
    <AuthorizeHeader xmlns="ConceptShare.API">
      <AuthorizeID>string</AuthorizeID>
      <PartnerPassword>string</PartnerPassword>
    </AuthorizeHeader>
  </soap:Header>
  <soap:Body>
    <DeleteWorkspaceTask xmlns="ConceptShare.API">
      <workspaceId>int</workspaceId>
      <conceptId>int</conceptId>
      <commentId>int</commentId>
      <taskId>int</taskId>
    </DeleteWorkspaceTask>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <DeleteWorkspaceTaskResponse xmlns="ConceptShare.API">
      <DeleteWorkspaceTaskResult>boolean</DeleteWorkspaceTaskResult>
      <errorMessage>string</errorMessage>
    </DeleteWorkspaceTaskResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /API/API_V2.asmx HTTP/1.1
Host: api.conceptshare.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Header>
    <AuthorizeHeader xmlns="ConceptShare.API">
      <AuthorizeID>string</AuthorizeID>
      <PartnerPassword>string</PartnerPassword>
    </AuthorizeHeader>
  </soap12:Header>
  <soap12:Body>
    <DeleteWorkspaceTask xmlns="ConceptShare.API">
      <workspaceId>int</workspaceId>
      <conceptId>int</conceptId>
      <commentId>int</commentId>
      <taskId>int</taskId>
    </DeleteWorkspaceTask>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <DeleteWorkspaceTaskResponse xmlns="ConceptShare.API">
      <DeleteWorkspaceTaskResult>boolean</DeleteWorkspaceTaskResult>
      <errorMessage>string</errorMessage>
    </DeleteWorkspaceTaskResponse>
  </soap12:Body>
</soap12:Envelope>